Socket::Address - Crystal 1.6.0

# abstract struct Socket::Address

- Socket::Address
- Struct
- Value
- Object

##
Direct Known Subclasses

- Socket::IPAddress
- Socket::UNIXAddress

##
Defined in:

socket/address.cr

##
Constructors

- .from(sockaddr : Pointer(LibC::Sockaddr), addrlen) : Address

  Returns either an `IPAddress` or `UNIXAddress` from the internal OS representation.

- .new(family : Family, size : Int32)
- .parse(uri : URI) : self

  Parses a `Socket::Address` from an URI.

- .parse(uri : String) : self

  Parses a `Socket::Address` from an URI.

##
Instance Method Summary

- #family : Family
- #size : Int32
- #to_unsafe : Pointer(LibC::Sockaddr)

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.from(sockaddr : Pointer(LibC::Sockaddr), addrlen) : Address #

Returns either an `IPAddress` or `UNIXAddress` from the internal OS representation. Only INET, INET6 and UNIX families are supported.

def self.new(family : Family, size : Int32) #
def self.parse(uri : URI) : self #

Parses a `Socket::Address` from an URI.

Supported formats:

- `ip://<host>:<port>`
- `tcp://<host>:<port>`
- `udp://<host>:<port>`
- `unix://<path>`

See `IPAddress.parse` and `UNIXAddress.parse` for details.

def self.parse(uri : String) : self #

Parses a `Socket::Address` from an URI.

Supported formats:

- `ip://<host>:<port>`
- `tcp://<host>:<port>`
- `udp://<host>:<port>`
- `unix://<path>`

See `IPAddress.parse` and `UNIXAddress.parse` for details.

##
Instance Method Detail

def family : Family #
def size : Int32 #
abstract def to_unsafe : Pointer(LibC::Sockaddr) #